<div (onEscape)="isEdit ? backToList() : backToDetail()"
     [solidifyFocusFirstElement]="true"
     solidifyShortCuts
>

  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [listExtraButtons]="listExtraButtons"
                                  [mode]="isEdit ? 'edit' : 'detail'"
  >
  </solidify-button-toolbar-detail>

  <div class="test-file-button-wrapper">

  </div>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-metadata-type-form #formPresentational
                                   (checkAvailableChange)="checkAvailable($event)"
                                   (dirtyChange)="updateCanDeactivate($event)"
                                   (editChange)="edit()"
                                   (fileUploadChange)="testFileUpload($event)"
                                   (submitChange)="update($event)"
                                   *ngIf="isReadyToBeDisplayedObs | async"
                                   [editAvailable]="editAvailable"
                                   [model]="currentObs | async"
                                   [readonly]="!isEdit"
    ></dlcm-admin-metadata-type-form>
  </div>
</div>
